{% extends 'form/base.html' %}

{% block content %}

<body>

	<script type="text/javascript">
		$(document).ready(function(){
			$("#search").keyup(function(e){
				var code = e.which;
				var value = $(this).val();
				if (code == 13){
					console.log('hello')
					$.post("/form/get/", {
						'csrfmiddlewaretoken': '{{ csrf_token }}',
						'query' : encodeURIComponent(value)
					}, function(data){
						//console.log(data)
						if (data.length > 0)
							//console.log("student/"+data[0].pk)
							window.location = "student/"+data[0].pk;
					}, "json").fail(function(){
						alert("Error !");
					});
				} else {
					if (value != ""){
						$.post("/form/get/", {
							'csrfmiddlewaretoken': '{{ csrf_token }}',
							'query' : encodeURIComponent(value)
						}, function(data){
							$("#dyn").html("");
							$.each(data, function(i, item){
								$("#dyn").append(`<a href="student/` + item.pk + `"><li class="list-group-item student_list">` + item.pk + ` - ` + item.fields.name + `</li></a>`);
							});

						}, "json").fail(function(){
							alert("Error !");
						});
					} else {
						$("#dyn").append('');
					}
				}
			});
		});
	</script>
	
	{% include 'form/navigation.html' %}

	<main>
		<div class="container" style="margin-top: 40px;">
			
			<!--STUDENT COUNT-->
			<div class="row">
				<div class="col-xs-12" style="text-align: center;">
					<span id="stu_count">
						NO OF STUDENTS: 
						<span style="font-weight: 500">
							{{ stu_cnt }}
						</span>
					</span>
				</div>
			</div>

			<center>

				<div class="row" id="search_list">
					<div class="col-xs-12">
					
						<div class="row">
							<div class="col-xs-12">
								<h4 class="f300">
									Quick Search
								</h4>
							</div>
						</div>
						<div class="row">
							<div class="col-xs-12">
								<div class="form-group">
								    <input type="text" class="form-control" id="search" placeholder="Type Student ID or Name">
								</div>
							</div>	
						</div>
						<div class="row">
							<div class="col-xs-12">
								<ul class="list-group" id="dyn">
									
								</ul>
							</div>
						</div>
		            </div>
		        </div>
	       	</center>
       	</div>
   	</main>

</body>

{% endblock %}